> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete SAML Verification Certificate

> Delete a SAML Connection's verification certificate

export const action_0 = "delete"

export const resource_0 = "stytch.sso"

<Note>
  **RBAC Enforced API**

  If a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the **{action_0} Action** on the **{resource_0} Resource** prior to honoring the request.

  To learn more, see the [RBAC guide](/docs/multi-tenant-auth/enterprise-ready/rbac).
</Note>

You may need to do this when rotating certificates from your IdP, since Stytch allows a maximum of 5 certificates per connection. There must always be at least one certificate per active connection.


## OpenAPI

````yaml DELETE /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}:
    delete:
      tags:
        - Sso
      summary: Deleteverificationcertificate
      description: >-
        Delete a SAML verification certificate.


        You may need to do this when rotating certificates from your IdP, since
        Stytch allows a maximum of 5 certificates per connection. There must
        always be at least one certificate per active connection.
      operationId: api_sso_v1_sso_saml_DeleteVerificationCertificate
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              The organization ID that the SAML connection belongs to. You may
              also use the organization_slug or organization_external_id here as
              a convenience.
          description: >-
            The organization ID that the SAML connection belongs to. You may
            also use the organization_slug or organization_external_id here as a
            convenience.
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the SAML connection.
          description: The ID of the SAML connection.
        - name: certificate_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the certificate to be deleted.
          description: The ID of the certificate to be deleted.
        - name: X-Stytch-Member-Session
          in: header
          required: false
          description: >-
            A Stytch session that can be used to run the request with the given
            member's permissions.
          schema:
            type: string
        - name: X-Stytch-Member-SessionJWT
          in: header
          required: false
          description: >-
            A Stytch Session JSON Web Token (JWT) that can be used to run the
            request with the given member's permissions.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_sso_v1_sso_saml_DeleteVerificationCertificateResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: >-
            // DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            const stytch = require('stytch');


            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });


            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
              certificate_id: "saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
            };


            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };


            client.SSO.SAML.DeleteVerificationCertificate(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// DELETE /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/sso/saml\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/methodoptions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &saml.DeleteVerificationCertificateParams{\n\t\tOrganizationID: \"organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931\",\n\t\tConnectionID:   \"saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9\",\n\t\tCertificateID:  \"saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701\",\n\t}\n\n\toptions := &saml.DeleteVerificationCertificateParamsOptions{\n\t\tAuthorization: methodoptions.Authorization{\n\t\t\tSessionToken: \"${sessionToken}\",\n\t\t},\n\t}\n\n\tresp, err := client.SSO.SAML.DeleteVerificationCertificate(context.Background(), params, options)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            package com.example;


            import
            com.stytch.java.b2b.models.ssosaml.DeleteVerificationCertificateRequest;

            import
            com.stytch.java.b2b.models.ssosaml.DeleteVerificationCertificateRequestOptions;

            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.methodoptions.Authorization;

            import com.stytch.java.common.StytchResult;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    DeleteVerificationCertificateRequest params = new DeleteVerificationCertificateRequest();
                    params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
                    params.setConnectionId("saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9");
                    params.setCertificateId("saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701");

                    DeleteVerificationCertificateRequestOptions options = new DeleteVerificationCertificateRequestOptions();
                    Authorization authorization = new Authorization();
                    authorization.setSessionToken("${sessionToken}");
                    options.setAuthorization(authorization);

                    Object result = StytchB2BClient.getSSO().getSAML().deleteVerificationCertificate(params, options);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import
            com.stytch.java.b2b.models.ssosaml.DeleteVerificationCertificateRequest

            import
            com.stytch.java.b2b.models.ssosaml.DeleteVerificationCertificateRequestOptions

            import com.stytch.java.common.methodoptions.Authorization


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.sso.saml.deleteVerificationCertificate(
                            DeleteVerificationCertificateRequest(
                                organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                                connectionId = "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
                                certificateId = "saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
                            ),
                            DeleteVerificationCertificateRequestOptions(
                                Authorization(
                                    sessionToken = "${sessionToken}",
                                ),
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: >-
            // DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            const stytch = require('stytch');


            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });


            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
              certificate_id: "saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
            };


            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };


            client.sso.saml.deleteVerificationCertificate(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->sso->saml->delete_verification_certificate([
                'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
                'connection_id' => 'saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9',
                'certificate_id' => 'saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701',
            ], [
                    'authorization' => ['session_token' => '${sessionToken}'],

            ]);
        - lang: python
          label: Python
          source: >
            # DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            from stytch import B2BClient

            from stytch.b2b.models.sso_saml import
            DeleteVerificationCertificateRequestOptions

            from stytch.shared.method_options import Authorization


            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )


            resp = client.sso.saml.delete_verification_certificate(
                organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                connection_id="saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
                certificate_id="saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
                method_options=DeleteVerificationCertificateRequestOptions(
                    authorization=Authorization(
                        session_token="${sessionToken}",
                    ),
                ),
            )


            print(resp)
        - lang: ruby
          label: Ruby
          source: >-
            # frozen_string_literal: true


            # DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            require 'stytch'


            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )


            resp = client.sso.saml.delete_verification_certificate(
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
              certificate_id: "saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
              method_options: StytchB2B::SSO::SAML::DeleteVerificationCertificateRequestOptions.new(
                authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
              )
            )


            puts resp
        - lang: rust
          label: Rust
          source: >-
            // DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            use stytch::b2b::client::Client;

            use stytch::b2b::sso_saml::DeleteVerificationCertificateRequest;


            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.sso.saml.delete_verification_certificate(
                    DeleteVerificationCertificateRequest{
                        organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                        connection_id: "saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
                        certificate_id: "saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: >-
            # DELETE
            /v1/b2b/sso/saml/{organization_id}/connections/{connection_id}/verification_certificates/{certificate_id}

            curl --request DELETE \
              --url https://test.stytch.com/v1/b2b/sso/saml/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connections/saml-connection-test-51861cbc-d3b9-428b-9761-227f5fb12be9/verification_certificates/saml-verification-key-test-5ccbc642-9373-42b8-928f-c1646c868701 \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -H "X-Stytch-Member-Session: ${sessionToken}"
components:
  schemas:
    api_sso_v1_sso_saml_DeleteVerificationCertificateResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        certificate_id:
          type: string
          description: The ID of the certificate that was deleted.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - certificate_id
        - status_code
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````